## com.lowagie.toolbox.arguments
Class FloatArgument

    java.lang.Object
      com.lowagie.toolbox.arguments.AbstractArgument
          com.lowagie.toolbox.arguments.FloatArgument

All Implemented Interfaces:
  ActionListener, PropertyChangeListener, EventListener

    public class FloatArgument

extends AbstractArgument

Since:
  2.1.1 (imported from itexttoolbox project)

Field Summary

Fields inherited from class com.lowagie.toolbox.arguments.AbstractArgument
`description, name, pcs, tool, value`

Constructor Summary
`FloatArgument()`
`FloatArgument(AbstractTool tool, String name, String description)`

Method Summary
`void` `actionPerformed(ActionEvent e)` Invoked when an action occurs.

Methods inherited from class com.lowagie.toolbox.arguments.AbstractArgument
`addPropertyChangeListener, firePropertyChange, getArgument, getDescription, getName, getTool, getUsage, getValue, propertyChange, removePropertyChangeListener, setDescription, setName, setTool, setValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FloatArgument

    public FloatArgument()

### FloatArgument

    public FloatArgument(AbstractTool tool,
                         String name,
                         String description)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Invoked when an action occurs.

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Specified by:
    `actionPerformed` in class `AbstractArgument`
  Parameters:
    `e` - ActionEvent

Hosted by Hostbasket